summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMartin Ritchie <ritchiem@apache.org>2009-05-17 13:53:24 +0000
committerMartin Ritchie <ritchiem@apache.org>2009-05-17 13:53:24 +0000
commit40de14f1eb2ddced42536247228b8db02d225705 (patch)
tree3338a43f0fb9deb1fe094d0d50bd3ce01c571eac
parent335fc3009512544666852184247374bdeae4ba67 (diff)
downloadqpid-python-40de14f1eb2ddced42536247228b8db02d225705.tar.gz
QPID-1861 : Updated script to include make check and ant test for java
dotnet does not appear to pass nant tests currently due to a broker build file. git-svn-id: https://svn.apache.org/repos/asf/qpid/branches/0.5-release@775650 13f79535-47bb-0310-9956-ffa450edef68
-rwxr-xr-xqpid/bin/release.sh10
1 files changed, 9 insertions, 1 deletions
diff --git a/qpid/bin/release.sh b/qpid/bin/release.sh
index 7a842c4242..90c147da94 100755
--- a/qpid/bin/release.sh
+++ b/qpid/bin/release.sh
@@ -176,11 +176,19 @@ if [ "CPP" == "$CPP" ] ; then
popd
cp qpid-${VER}/cpp/*.tar.gz artifacts/qpid-cpp-${VER}.tar.gz
+ pushd qpid-${VER}/cpp
+ make -j2
+ make check
+ if [ $? != 0 ] ; then
+ echo ERROR : make check failed removing cpp artifacts
+ rm -f artifacts/qpid-cpp-${VER}.tar.gz
+ fi
+ popd
fi
if [ "JAVA" == "$JAVA" ] ; then
pushd qpid-${VER}/java
- ant -Dproject.version=${VER} build release release-bin
+ ant -Dproject.version=${VER} build test release release-bin
popd
#Copy Full java dir